Subject: Re: r8169: fix driver drop incoming packets >= 1515 if MTU is set between 1515 and 1536

From: Raimonds Cicans <[email-masked]>
Date: Thu, 12 Nov 2009 00:36:05 +0200

Ben Hutchings:
> On Wed, 2009-11-11 at 22:05 +0200, Raimonds Cicans wrote:
>> Ben Hutchings:
>>> On Wed, 2009-11-11 at 20:20 +0200, Raimonds Cicans wrote:
>>>> Driver drop incoming packets >= 1515(1) if MTU is set between 1515(1) and 1536.
>>>>
>>>> 1) exact number depends on some factors:
>>>> - VLAN tagged or not
>>>> - patch "r8169: Fix card drop incoming VLAN tagged MTU byte large jumbo frames"
>>>>   applied or not
>>> [...]
>>>
>>> MTU is a limit on transmission; it is not required to limit received
>>> frames.
>> ???
>>
>> In r8169 driver MTU is used to calculate receive buffer size.
>> Receive buffer size is used to configure hardware incoming packet filter.
>>
>> For jumbo frames:
>> Receive buffer size = Max frame size = MTU + 14 (ethernet header) + 4
>> (vlan header) + 4 (ethernet checksum) = MTU + 22
>>
>> Bug:
>> driver for all MTU up to 1536 use receive buffer size 1536
> [...]
> 
> OK, now I understand.  The subject line you used is not grammatical and
> I originally thought you considered it a bug that the driver might
> accept packets with payload greater than MTU.

Sorry for my poor English.

> To make it clear, perhaps you could change the subject to:
> 'r8169: Fix receive buffer length when MTU is between 1515 and 1536'
> and then explain the current behaviour below that.

Ok. I will try to make new version tomorrow.

Raimonds Cicans